package com.trade.service.contract.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface NumberRange {
    int min() default Integer.MIN_VALUE;
    int max() default Integer.MAX_VALUE;

    String message() default "{validator.constraints.Range.message}";
}
